<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_b969b955d1355379880c0b97b2e4" . "f679" => base64_decode("Y2ZnX21hcmtlcl9hdXRvX2dlbmVyYXRp" . "b25fcHJlZml4"), "_4ca36bb" . "c844fd9e" . "04b91f8a" . "27c58989" . "0" => base64_decode("Z2x5cGhpY29ucyBnbHlwa" . "Gljb25zLW1hcA=="), "_f1a1c12258c339542b5f89ca9" . "76d35f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0X2FjY2Vzc2VkPW" . "ludDpkYXRlIFdIRVJFIGlkPWludDppZA=="), "_7a7cffa4d53ef9ebe07145" . "b1a5bf3d85" => base64_decode("L2ludHJhbmV0L2RvY3V" . "tZW50cy9pbWFnZXMvbW" . "Fya2VyLmdpZg=="), "_5e9a99dc0dd49b907abf" . "1b35e96965f8" => base64_decode("dHJp" . "bQ=="), "_aed8da0f19091214b78f803510" . "48517c" => base64_decode("c3RybG" . "Vu"), "_bc9f5b3b6a" . "495ee55ebb7" . "158ab184dc4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdGl0bGU9c3RyOnRpdGxlIFdIRVJFIG" . "lkPWludDppZA=="));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_f1a1c12258c339542b5f89ca9" . "76d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b969b955d1355" . "379880c0b97b2e" . "4f679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f19091214b78f8035104" . "8517c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_5e9a99dc0" . "dd49b907ab" . "f1b35e9696" . "5f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bc9f5b3b6a495ee55ebb7158ab18" . "4dc4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7a7cffa4d53ef9ebe07" . "145b1a5bf3d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4ca36bbc844fd9e04b91f8a" . "27c589890"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}